Bug 184689 - [patch] print/foo2zjs: take maintainership, update to current version and more
Summary: [patch] print/foo2zjs: take maintainership, update to current version and more
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 15:30 UTC by Boris Samorodov
Modified: 2013-12-26 19:44 UTC (History)
0 users

See Also:


Attachments
file.diff (4.08 KB, patch)
2013-12-11 15:30 UTC, Boris Samorodov
no flags Details | Diff
print_foo2zjs.stage.diff.txt (30.23 KB, text/plain; charset=UTF-8)
2013-12-11 16:28 UTC, Boris Samorodov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2013-12-11 15:30:00 UTC

Fix: . take maintainership;
. update to version 20131118;
. use new LIB_DEPENDS syntax;
. USE_GMAKE -> USES=gmake;
. USES=shebabgfiles for msexpand;
. allow staging.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-11 15:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Boris Samorodov 2013-12-11 16:28:01 UTC
Some patches were got lost while PR creation. Here is the full patch.
Comment 3 dfilter service freebsd_committer 2013-12-26 19:34:08 UTC
Author: bsam
Date: Thu Dec 26 19:33:59 2013
New Revision: 337608
URL: http://svnweb.freebsd.org/changeset/ports/337608

Log:
  . take maintainership;
  . update to version 20131118;
  . use new LIB_DEPENDS syntax;
  . USE_GMAKE -> USES=gmake;
  . USES=shebabgfiles for msexpand;
  . allow staging;
  . remove unneeded ${CAT} ${PKGMESSAGE}.
  
  PR:		ports/184689
  Submitted by:	bsam (me)
  Approved by:	acm (former maintainer, maintainer timeout)

Modified:
  head/print/foo2zjs/Makefile
  head/print/foo2zjs/distinfo
  head/print/foo2zjs/files/patch-Makefile
  head/print/foo2zjs/pkg-plist

Modified: head/print/foo2zjs/Makefile
==============================================================================
--- head/print/foo2zjs/Makefile	Thu Dec 26 19:33:02 2013	(r337607)
+++ head/print/foo2zjs/Makefile	Thu Dec 26 19:33:59 2013	(r337608)
@@ -2,132 +2,38 @@
 # $FreeBSD$
 
 PORTNAME=	foo2zjs
-PORTVERSION=	20110609
-PORTREVISION=	2
+PORTVERSION=	20131201
 CATEGORIES=	print
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE} \
-		${MASTER_SITE_LOCAL:S,$,acm/${PORTNAME}/,}
+		${MASTER_SITE_LOCAL:S,$,bsam/${PORTNAME}/,}  \
+		ftp://ftp.wart.ru/pub/FreeBSD/ports/distfiles/
 
-MAINTAINER=	acm@FreeBSD.org
+MAINTAINER=	bsam@FreeBSD.org
 COMMENT=	Driver for printers that use the ZjStream wire protocol
 
-LIB_DEPENDS=	cups.2:${PORTSDIR}/print/cups-base
+LIB_DEPENDS=	libcups.so:${PORTSDIR}/print/cups-base
 RUN_DEPENDS=	${LOCALBASE}/share/foomatic/db/oldprinterids:${PORTSDIR}/print/foomatic-db \
 		foomatic-rip:${PORTSDIR}/print/foomatic-filters
 
 PROJECTHOST=	bsdistfiles
 USE_GHOSTSCRIPT=yes
-USE_GMAKE=	yes
+USES=		gmake shebangfix
+SHEBANG_FILES=	msexpand
 SUB_FILES=	pkg-message
-
-MAN1=	arm2hpdl.1 \
-	foo2hiperc-wrapper.1 \
-	foo2hiperc.1 \
-	foo2hp.1 \
-	foo2hp2600-wrapper.1 \
-	foo2lava-wrapper.1 \
-	foo2lava.1 \
-	foo2oak-wrapper.1 \
-	foo2oak.1 \
-	foo2qpdl-wrapper.1 \
-	foo2qpdl.1 \
-	foo2slx-wrapper.1 \
-	foo2slx.1 \
-	foo2xqx-wrapper.1 \
-	foo2xqx.1 \
-	foo2zjs-pstops.1 \
-	foo2zjs-wrapper.1 \
-	foo2zjs.1 \
-	hipercdecode.1 \
-	lavadecode.1 \
-	oakdecode.1 \
-	opldecode.1 \
-	printer-profile.1 \
-	qpdldecode.1 \
-	slxdecode.1 \
-	usb_printerid.1 \
-	xqxdecode.1 \
-	zjsdecode.1 \
-
 EXTRAFILES=	msexpand getweb
-XML_FILES=	driver/foo2hiperc.xml \
-		driver/foo2hp.xml \
-		driver/foo2lava.xml \
-		driver/foo2oak.xml \
-		driver/foo2oak-z1.xml \
-		driver/foo2qpdl.xml \
-		driver/foo2slx.xml \
-		driver/foo2xqx.xml \
-		driver/foo2zjs.xml \
-		printer/Generic-OAKT_Printer.xml \
-		printer/Generic-ZjStream_Printer.xml \
-		printer/HP-Color_LaserJet_1500.xml \
-		printer/HP-Color_LaserJet_1600.xml \
-		printer/HP-Color_LaserJet_2600n.xml \
-		printer/HP-Color_LaserJet_CP1215.xml \
-		printer/HP-LaserJet_1000.xml \
-		printer/HP-LaserJet_1005.xml \
-		printer/HP-LaserJet_1018.xml \
-		printer/HP-LaserJet_1020.xml \
-		printer/HP-LaserJet_1022.xml \
-		printer/HP-LaserJet_M1005_MFP.xml \
-		printer/HP-LaserJet_M1120_MFP.xml \
-		printer/HP-LaserJet_P1005.xml \
-		printer/HP-LaserJet_P1006.xml \
-		printer/HP-LaserJet_P1007.xml \
-		printer/HP-LaserJet_P1008.xml \
-		printer/HP-LaserJet_P1505.xml \
-		printer/HP-LaserJet_P2014.xml \
-		printer/KONICA_MINOLTA-magicolor_2480_MF.xml \
-		printer/KONICA_MINOLTA-magicolor_2490_MF.xml \
-		printer/KONICA_MINOLTA-magicolor_2530_DL.xml \
-		printer/Kyocera-KM-1635.xml \
-		printer/Kyocera-KM-2035.xml \
-		printer/Lexmark-C500.xml \
-		printer/Minolta-Color_PageWorks_Pro_L.xml \
-		printer/Minolta-magicolor_2200_DL.xml \
-		printer/Minolta-magicolor_2300_DL.xml \
-		printer/Minolta-magicolor_2430_DL.xml \
-		printer/Oki-C3100.xml \
-		printer/Oki-C3200.xml \
-		printer/Oki-C3300.xml \
-		printer/Oki-C3400.xml \
-		printer/Oki-C3530_MFP.xml \
-		printer/Oki-C5100.xml \
-		printer/Oki-C5200.xml \
-		printer/Oki-C5500.xml \
-		printer/Oki-C5600.xml \
-		printer/Oki-C5800.xml \
-		printer/Samsung-CLP-300.xml \
-		printer/Samsung-CLP-315.xml \
-		printer/Samsung-CLP-600.xml \
-		printer/Samsung-CLP-610.xml \
-		printer/Samsung-CLX-2160.xml \
-		printer/Samsung-CLX-3160.xml \
-		printer/Samsung-CLX-3175.xml \
-		printer/Xerox-Phaser_6110.xml \
-		printer/Xerox-Phaser_6115MFP.xml
 
-.for FILES in ${XML_FILES}
-EXTRACT_AFTER_ARGS+=	--exclude '${FILES}'
-.endfor
+OPTIONS_DEFINE=	DOCS
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|^CFLAGS|CFLAGS?|g' -e 's|^PREFIX|PREFIX?|g' ${WRKSRC}/icc2ps/Makefile
 
 post-install:
 	@cd ${WRKSRC} && \
-		${INSTALL_MAN} ${MAN1} ${PREFIX}/man/man1/ && \
-			${INSTALL_SCRIPT} ${EXTRAFILES} ${PREFIX}/bin/
-
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
+		${INSTALL_SCRIPT} ${EXTRAFILES} ${STAGEDIR}${PREFIX}/bin
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/foo2zjs-icc2ps
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for FILE in ChangeLog README manual.pdf
-	${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${FILE} ${STAGEDIR}${DOCSDIR}
 .endfor
-.endif
-
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/print/foo2zjs/distinfo
==============================================================================
--- head/print/foo2zjs/distinfo	Thu Dec 26 19:33:02 2013	(r337607)
+++ head/print/foo2zjs/distinfo	Thu Dec 26 19:33:59 2013	(r337608)
@@ -1,2 +1,2 @@
-SHA256 (foo2zjs-20110609.tar.gz) = a84d01add17344a39b078941a13d85ca2ea437eb832da6796ba94ed9810f6e35
-SIZE (foo2zjs-20110609.tar.gz) = 1631341
+SHA256 (foo2zjs-20131201.tar.gz) = 92f65c2d8a618437430a8edfe9f9c8799d3f4ce93483208c0f42147c81be561c
+SIZE (foo2zjs-20131201.tar.gz) = 1762084

Modified: head/print/foo2zjs/files/patch-Makefile
==============================================================================
--- head/print/foo2zjs/files/patch-Makefile	Thu Dec 26 19:33:02 2013	(r337607)
+++ head/print/foo2zjs/files/patch-Makefile	Thu Dec 26 19:33:59 2013	(r337608)
@@ -1,6 +1,6 @@
---- Makefile.orig	2011-06-09 15:07:08.000000000 +0100
-+++ Makefile	2012-03-21 19:59:55.548558697 +0000
-@@ -17,9 +17,7 @@
+--- Makefile.orig	2013-11-18 20:57:48.000000000 +0400
++++ Makefile	2013-11-24 00:25:20.393194109 +0400
+@@ -17,28 +17,26 @@
  VERSION=0.0
  
  # Installation prefix...
@@ -10,17 +10,32 @@
 +PREFIX?=/usr/local
  
  # Pathnames for this package...
- BIN=$(PREFIX)/bin
-@@ -31,13 +29,14 @@
- SHAREQPDL=$(PREFIX)/share/foo2qpdl
- SHARESLX=$(PREFIX)/share/foo2slx
- SHAREHC=$(PREFIX)/share/foo2hiperc
+-BIN=$(PREFIX)/bin
+-SHAREZJS=$(PREFIX)/share/foo2zjs
+-SHAREOAK=$(PREFIX)/share/foo2oak
+-SHAREHP=$(PREFIX)/share/foo2hp
+-SHAREXQX=$(PREFIX)/share/foo2xqx
+-SHARELAVA=$(PREFIX)/share/foo2lava
+-SHAREQPDL=$(PREFIX)/share/foo2qpdl
+-SHARESLX=$(PREFIX)/share/foo2slx
+-SHAREHC=$(PREFIX)/share/foo2hiperc
+-SHAREHBPL=$(PREFIX)/share/foo2hbpl
 -MANDIR=$(PREFIX)/share/man
-+MANDIR=$(PREFIX)/man
- DOCDIR=$(PREFIX)/share/doc/foo2zjs/
+-DOCDIR=$(PREFIX)/share/doc/foo2zjs/
 -INSTALL=install
++BIN=$(DESTDIR)$(PREFIX)/bin
++SHAREZJS=$(DESTDIR)$(PREFIX)/share/foo2zjs
++SHAREOAK=$(DESTDIR)$(PREFIX)/share/foo2oak
++SHAREHP=$(DESTDIR)$(PREFIX)/share/foo2hp
++SHAREXQX=$(DESTDIR)$(PREFIX)/share/foo2xqx
++SHARELAVA=$(DESTDIR)$(PREFIX)/share/foo2lava
++SHAREQPDL=$(DESTDIR)$(PREFIX)/share/foo2qpdl
++SHARESLX=$(DESTDIR)$(PREFIX)/share/foo2slx
++SHAREHC=$(DESTDIR)$(PREFIX)/share/foo2hiperc
++SHAREHBPL=$(DESTDIR)$(PREFIX)/share/foo2hbpl
++MANDIR=$(DESTDIR)$(PREFIX)/man
++DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/foo2zjs
 +INSTALL?=install
-+INSTALL_MAN?=install
  ROOT=root
  
  # Pathnames for referenced packages...
@@ -29,7 +44,7 @@
  
  # User ID's
  LPuid=-oroot
-@@ -282,7 +281,7 @@
+@@ -291,7 +289,7 @@
  
  # Compiler flags
  #CFLAGS +=	-O2 -Wall -Wno-unused-but-set-variable
@@ -38,7 +53,7 @@
  #CFLAGS +=	-g
  
  #
-@@ -556,10 +555,9 @@
+@@ -599,10 +597,9 @@
  #
  # Installation rules
  #
@@ -52,16 +67,48 @@
  	#
  	# If you use CUPS, then restart the spooler:
  	#	make cups
-@@ -595,7 +593,7 @@
+@@ -617,6 +614,7 @@
+ 	# On Ubuntu 7.10/8.x/9.x, run "system-config-printer".
+ 
+ install-test:
++	echo "install-test:"
+ 	#
+ 	# Installation Dependencies...
  	#
+@@ -636,19 +634,22 @@
+ 	fi
+ 	# ... OK!
+ 	#
++	echo "install-test: exit"
      
  
 -UDEVBIN=$(DESTDIR)/bin/
-+UDEVBIN=$(DESTDIR)$(PREFIX)/bin/
++UDEVBIN=$(DESTDIR)$(PREFIX)/bin
  
  install-prog:
++	echo "install-prog:"
+ 	#
+ 	# Install driver, wrapper, and development tools
  	#
-@@ -625,20 +623,13 @@
+ 	$(INSTALL) -d $(BIN)
++	$(INSTALL) -s -c $(PROGS) $(BIN)
++	$(INSTALL) -c $(SHELLS) $(BIN)
+-	$(INSTALL) -c $(PROGS) $(SHELLS) $(BIN)/
+ 	if [ "$(BINPROGS)" != "" ]; then \
+ 	    $(INSTALL) -d $(UDEVBIN); \
+-	    $(INSTALL) -c $(BINPROGS) $(UDEVBIN); \
++	    $(INSTALL) -s -c $(BINPROGS) $(UDEVBIN); \
+ 	fi
+ 	#
+ 	# Install gamma correction files.  These are just templates,
+@@ -663,25 +665,20 @@
+ 	$(INSTALL) -d $(SHAREXQX)/
+ 	$(INSTALL) -d $(SHARELAVA)/
+ 	$(INSTALL) -d $(SHAREHC)/
++	echo "install-prog: exit"
+ 
+ install-foo:
++	echo "install-foo:"
  	#
  	# Remove obsolete foomatic database files from previous versions
  	#
@@ -85,7 +132,7 @@
  		echo install -d $(FOODB)/$$dir/; \
  		$(INSTALL) -d $(FOODB)/$$dir/; \
  		echo install -m 644 foomatic-db/$$dir/*.xml $(FOODB)/$$dir/; \
-@@ -655,15 +646,6 @@
+@@ -698,28 +695,20 @@
  	    echo "*** ... wherever foomatic is stashed on your machine."; \
  	    echo "***"; \
  	fi
@@ -98,23 +145,40 @@
 -	    cd /var/cache/foomatic/compiled; \
 -	    foomatic-combo-xml -O >overview.xml; \
 -	fi
++	echo "install-foo: exit"
  
  install-icc2ps:
  	#
-@@ -783,9 +765,9 @@
+ 	# Install ICM to Postscript file conversion utility
+ 	#
+-	cd icc2ps; $(MAKE) PREFIX=$(PREFIX) install
++	cd icc2ps; $(MAKE) PREFIX=$(DESTDIR)$(PREFIX) install
+ 
+ install-osx-hotplug:
+ ifeq ($(UNAME),Darwin)
+ 	#
+ 	# Install Mac OSX hotplug utility
+ 	#
+-	cd osx-hotplug; $(MAKE) PREFIX=$(PREFIX) install
++	cd osx-hotplug; $(MAKE) PREFIX=$(DESTDIR)$(PREFIX) install
+ endif
+ 
+ install-crd:
+@@ -833,10 +822,10 @@
  	    fi; \
  	done
  
 -MODEL=$(DESTDIR)/usr/share/cups/model
 -LOCALMODEL=$(DESTDIR)/usr/local/share/cups/model
--PPD=$(DESTDIR)/usr/share/ppd
 +MODEL=$(DESTDIR)$(PREFIX)/share/cups/model
 +LOCALMODEL=$(DESTDIR)$(PREFIX)/share/cups/model
+ MACMODEL=/Library/Printers/PPDs/Contents/Resources
+-PPD=$(DESTDIR)/usr/share/ppd
 +PPD=$(DESTDIR)$(PREFIX)/ppd
  VARPPD=/var/lp/ppd
  install-ppd:
  	#
-@@ -819,6 +801,7 @@
+@@ -871,6 +860,7 @@
  	fi
  	#
  	export PATH=$$PATH:`pwd`:; \
@@ -122,7 +186,7 @@
  	if [ -d $(MODEL) ]; then \
  	    rm -f $(MODEL)/KonicaMinolta*; \
  	    cd PPD; \
-@@ -835,9 +818,9 @@
+@@ -894,9 +884,9 @@
  	    done; \
  	fi
  
@@ -135,74 +199,3 @@
  
  install-desktop:
  	#
-@@ -1344,38 +1327,38 @@
- 	#
- 	# Install manual pages
- 	#
--	$(INSTALL) -d -m 755 $(MANDIR)
--	$(INSTALL) -d -m 755 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2zjs.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2zjs-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 zjsdecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2oak.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2oak-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 oakdecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2hp.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2hp2600-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 xqxdecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2xqx.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2xqx-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 lavadecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2lava.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2lava-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 qpdldecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2qpdl.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2qpdl-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 opldecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 slxdecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2slx.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2slx-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2hiperc.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2hiperc-wrapper.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 hipercdecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 gipddecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 hbpldecode.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 foo2zjs-pstops.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 arm2hpdl.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 usb_printerid.1 $(MANDIR)/man1/
--	$(INSTALL) -c -m 644 printer-profile.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -d -m 755 $(MANDIR)
-+	$(INSTALL_MAN) -d -m 755 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2zjs.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2zjs-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 zjsdecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2oak.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2oak-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 oakdecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2hp.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2hp2600-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 xqxdecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2xqx.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2xqx-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 lavadecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2lava.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2lava-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 qpdldecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2qpdl.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2qpdl-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 opldecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 slxdecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2slx.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2slx-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2hiperc.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2hiperc-wrapper.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 hipercdecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 gipddecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 hbpldecode.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 foo2zjs-pstops.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 arm2hpdl.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 usb_printerid.1 $(MANDIR)/man1/
-+	$(INSTALL_MAN) -c -m 644 printer-profile.1 $(MANDIR)/man1/
- 	cd icc2ps; $(MAKE) install-man
- ifeq ($(UNAME),Darwin)
- 	cd osx-hotplug; $(MAKE) install-man

Modified: head/print/foo2zjs/pkg-plist
==============================================================================
--- head/print/foo2zjs/pkg-plist	Thu Dec 26 19:33:02 2013	(r337607)
+++ head/print/foo2zjs/pkg-plist	Thu Dec 26 19:33:59 2013	(r337608)
@@ -1,154 +1,42 @@
-bin/foo2zjs
-bin/zjsdecode
 bin/arm2hpdl
+bin/foo2hbpl2
+bin/foo2hbpl2-wrapper
+bin/foo2hiperc
+bin/foo2hiperc-wrapper
 bin/foo2hp
-bin/foo2xqx
-bin/xqxdecode
+bin/foo2hp2600-wrapper
 bin/foo2lava
-bin/lavadecode
-bin/foo2qpdl
-bin/qpdldecode
-bin/opldecode
+bin/foo2lava-wrapper
 bin/foo2oak
-bin/oakdecode
-bin/foo2slx
-bin/slxdecode
-bin/foo2hiperc
-bin/hbpldecode
-bin/hipercdecode
-bin/gipddecode
-bin/printer-profile
-bin/foo2zjs-wrapper
 bin/foo2oak-wrapper
-bin/foo2hp2600-wrapper
-bin/foo2xqx-wrapper
-bin/msexpand
-bin/foo2lava-wrapper
+bin/foo2qpdl
 bin/foo2qpdl-wrapper
+bin/foo2slx
 bin/foo2slx-wrapper
-bin/foo2hiperc-wrapper
-bin/foo2zjs-pstops
+bin/foo2xqx
+bin/foo2xqx-wrapper
+bin/foo2zjs
 bin/foo2zjs-icc2ps
+bin/foo2zjs-pstops
+bin/foo2zjs-wrapper
 bin/getweb
-%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/manual.pdf
-%%DATADIR%%/gamma.ps
-%%DATADIR%%/gamma-lookup.ps
-%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,0-per.crd
-%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,50-per.crd
-%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,75-per.crd
-%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr125,75-per.crd
-%%DATADIR%%/crd/kh.crd
-%%DATADIR%%/crd/kx.crd
-%%DATADIR%%/crd/prolog.ps
-%%DATADIR%%/crd/screen1200.ps
-%%DATADIR%%/crd/screen2400.ps
-share/foo2qpdl/crd/CLP-300-1200x1200cms2
-share/foo2qpdl/crd/CLP-300-1200x600cms2
-share/foo2qpdl/crd/CLP-300-600x600cms2
-share/foo2qpdl/crd/CLP-300cms
-share/foo2qpdl/crd/CLP-600-1200x1200cms2
-share/foo2qpdl/crd/CLP-600-1200x600cms2
-share/foo2qpdl/crd/CLP-600-600x600cms2
-share/foo2qpdl/crd/CLP-600cms
-share/foo2qpdl/crd/black-text.ps
-share/cups/model/Generic-OAKT_Printer.ppd.gz
-share/cups/model/Generic-ZjStream_Printer.ppd.gz
-share/cups/model/HP-Color_LaserJet_1500.ppd.gz
-share/cups/model/HP-Color_LaserJet_1600.ppd.gz
-share/cups/model/HP-Color_LaserJet_2600n.ppd.gz
-share/cups/model/HP-Color_LaserJet_CP1215.ppd.gz
-share/cups/model/HP-LaserJet_1000.ppd.gz
-share/cups/model/HP-LaserJet_1005.ppd.gz
-share/cups/model/HP-LaserJet_1018.ppd.gz
-share/cups/model/HP-LaserJet_1020.ppd.gz
-share/cups/model/HP-LaserJet_1022.ppd.gz
-share/cups/model/HP-LaserJet_1022n.ppd.gz
-share/cups/model/HP-LaserJet_1022nw.ppd.gz
-share/cups/model/HP-LaserJet_M1005_MFP.ppd.gz
-share/cups/model/HP-LaserJet_M1120_MFP.ppd.gz
-share/cups/model/HP-LaserJet_M1319_MFP.ppd.gz
-share/cups/model/HP-LaserJet_P1005.ppd.gz
-share/cups/model/HP-LaserJet_P1006.ppd.gz
-share/cups/model/HP-LaserJet_P1007.ppd.gz
-share/cups/model/HP-LaserJet_P1008.ppd.gz
-share/cups/model/HP-LaserJet_P1505.ppd.gz
-share/cups/model/HP-LaserJet_P1505n.ppd.gz
-share/cups/model/HP-LaserJet_P2014.ppd.gz
-share/cups/model/HP-LaserJet_P2014n.ppd.gz
-share/cups/model/HP-LaserJet_P2035.ppd.gz
-share/cups/model/HP-LaserJet_P2035n.ppd.gz
-share/cups/model/HP-LaserJet_Pro_CP1025nw.ppd.gz
-share/cups/model/HP-LaserJet_Pro_P1102.ppd.gz
-share/cups/model/HP-LaserJet_Pro_P1102w.ppd.gz
-share/cups/model/HP-LaserJet_Pro_P1566.ppd.gz
-share/cups/model/HP-LaserJet_Pro_P1606dn.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_1600W.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_1680MF.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_1690MF.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_2480_MF.ppd.gz
-share/cups/model/Lexmark-C500.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_2490_MF.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_2530_DL.ppd.gz
-share/cups/model/KONICA_MINOLTA-magicolor_4690MF.ppd.gz
-share/cups/model/Kyocera-KM-1635.ppd.gz
-share/cups/model/Kyocera-KM-2035.ppd.gz
-share/cups/model/Minolta-Color_PageWorks_Pro_L.ppd.gz
-share/cups/model/Minolta-magicolor_2200_DL.ppd.gz
-share/cups/model/Minolta-magicolor_2300_DL.ppd.gz
-share/cups/model/Minolta-magicolor_2430_DL.ppd.gz
-share/cups/model/Oki-C110.ppd.gz
-share/cups/model/Oki-C310dn.ppd.gz
-share/cups/model/Oki-C3100.ppd.gz
-share/cups/model/Oki-C3200.ppd.gz
-share/cups/model/Oki-C3300.ppd.gz
-share/cups/model/Oki-C3400.ppd.gz
-share/cups/model/Oki-C3530_MFP.ppd.gz
-share/cups/model/Oki-C5100.ppd.gz
-share/cups/model/Oki-C5200.ppd.gz
-share/cups/model/Oki-C5500.ppd.gz
-share/cups/model/Oki-C5600.ppd.gz
-share/cups/model/Oki-C5650.ppd.gz
-share/cups/model/Oki-C5800.ppd.gz
-share/cups/model/Olivetti-d-Color_P160W.ppd.gz
-share/cups/model/Samsung-CLP-300.ppd.gz
-share/cups/model/Samsung-CLP-310.ppd.gz
-share/cups/model/Samsung-CLP-315.ppd.gz
-share/cups/model/Samsung-CLP-325.ppd.gz
-share/cups/model/Samsung-CLP-600.ppd.gz
-share/cups/model/Samsung-CLP-610.ppd.gz
-share/cups/model/Samsung-CLP-620.ppd.gz
-share/cups/model/Samsung-CLX-2160.ppd.gz
-share/cups/model/Samsung-CLX-3160.ppd.gz
-share/cups/model/Samsung-CLX-3175.ppd.gz
-share/cups/model/Xerox-Phaser_6110.ppd.gz
-share/cups/model/Xerox-Phaser_6115MFP.ppd.gz
-share/cups/model/Xerox-Phaser_6121MFP.ppd.gz
-foomatic/db/source/printer/HP-LaserJet_1022n.xml
-foomatic/db/source/printer/HP-LaserJet_1022nw.xml
-foomatic/db/source/printer/HP-LaserJet_M1319_MFP.xml
-foomatic/db/source/printer/HP-LaserJet_P1505n.xml
-foomatic/db/source/printer/HP-LaserJet_P2014n.xml
-foomatic/db/source/printer/HP-LaserJet_P2035.xml
-foomatic/db/source/printer/HP-LaserJet_P2035n.xml
-foomatic/db/source/printer/HP-LaserJet_Pro_CP1025nw.xml
-foomatic/db/source/printer/HP-LaserJet_Pro_P1102.xml
-foomatic/db/source/printer/HP-LaserJet_Pro_P1102w.xml
-foomatic/db/source/printer/HP-LaserJet_Pro_P1566.xml
-foomatic/db/source/printer/HP-LaserJet_Pro_P1606dn.xml
-foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1600W.xml
-foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1680MF.xml
-foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1690MF.xml
-foomatic/db/source/printer/KONICA_MINOLTA-magicolor_4690MF.xml
-foomatic/db/source/printer/Oki-C110.xml
-foomatic/db/source/printer/Oki-C310dn.xml
-foomatic/db/source/printer/Oki-C5650.xml
-foomatic/db/source/printer/Olivetti-d-Color_P160W.xml
-foomatic/db/source/printer/Samsung-CLP-310.xml
-foomatic/db/source/printer/Samsung-CLP-325.xml
-foomatic/db/source/printer/Samsung-CLP-620.xml
-foomatic/db/source/printer/Xerox-Phaser_6121MFP.xml
+bin/gipddecode
+bin/hbpldecode
+bin/hipercdecode
+bin/lavadecode
+bin/msexpand
+bin/oakdecode
+bin/opldecode
+bin/printer-profile
+bin/qpdldecode
+bin/slxdecode
+bin/xqxdecode
+bin/zjsdecode
+foomatic/db/source/opt/foo2hbpl2-ColorMode.xml
+foomatic/db/source/opt/foo2hbpl2-ICM.xml
+foomatic/db/source/opt/foo2hbpl2-MediaType.xml
+foomatic/db/source/opt/foo2hbpl2-PageSize.xml
+foomatic/db/source/opt/foo2hbpl2-Resolution.xml
 foomatic/db/source/opt/foo2hiperc-ColorMode.xml
 foomatic/db/source/opt/foo2hiperc-Compression.xml
 foomatic/db/source/opt/foo2hiperc-Duplex.xml
@@ -198,11 +86,11 @@ foomatic/db/source/opt/foo2slx-PageSize.
 foomatic/db/source/opt/foo2slx-Resolution.xml
 foomatic/db/source/opt/foo2xqx-Density.xml
 foomatic/db/source/opt/foo2xqx-Duplex.xml
-foomatic/db/source/opt/foo2xxx-Halftone.xml
 foomatic/db/source/opt/foo2xqx-InputSlot.xml
 foomatic/db/source/opt/foo2xqx-MediaType.xml
 foomatic/db/source/opt/foo2xqx-Resolution.xml
 foomatic/db/source/opt/foo2xxx-Copies.xml
+foomatic/db/source/opt/foo2xxx-Halftone.xml
 foomatic/db/source/opt/foo2xxx-Nup.xml
 foomatic/db/source/opt/foo2xxx-NupOrient.xml
 foomatic/db/source/opt/foo2xxx-Quality.xml
@@ -222,25 +110,205 @@ foomatic/db/source/opt/foo2zjs-z2-MediaT
 foomatic/db/source/opt/foo2zjs-z2-PageSize.xml
 foomatic/db/source/opt/foo2zjs-z3-MediaType.xml
 foomatic/db/source/opt/foo2zjs-z3-PageSize.xml
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrmtry foomatic/db/source/printer
-@dirrmtry foomatic/db/source/opt
-@dirrmtry foomatic/db/source
-@dirrmtry foomatic/db/
-@dirrmtry foomatic
-@dirrmtry %%DATADIR%%/icm
-@dirrmtry %%DATADIR%%/firmware
+foomatic/db/source/printer/Dell-1355.xml
+foomatic/db/source/printer/Fuji_Xerox-DocuPrint_CM205.xml
+foomatic/db/source/printer/Fuji_Xerox-DocuPrint_P205.xml
+foomatic/db/source/printer/Generic-OAKT_Printer.xml
+foomatic/db/source/printer/Generic-ZjStream_Printer.xml
+foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
+foomatic/db/source/printer/HP-Color_LaserJet_1600.xml
+foomatic/db/source/printer/HP-Color_LaserJet_2600n.xml
+foomatic/db/source/printer/HP-Color_LaserJet_CP1215.xml
+foomatic/db/source/printer/HP-LaserJet_1000.xml
+foomatic/db/source/printer/HP-LaserJet_1005.xml
+foomatic/db/source/printer/HP-LaserJet_1018.xml
+foomatic/db/source/printer/HP-LaserJet_1020.xml
+foomatic/db/source/printer/HP-LaserJet_1022.xml
+foomatic/db/source/printer/HP-LaserJet_1022n.xml
+foomatic/db/source/printer/HP-LaserJet_1022nw.xml
+foomatic/db/source/printer/HP-LaserJet_M1005_MFP.xml
+foomatic/db/source/printer/HP-LaserJet_M1120_MFP.xml
+foomatic/db/source/printer/HP-LaserJet_M1319_MFP.xml
+foomatic/db/source/printer/HP-LaserJet_P1005.xml
+foomatic/db/source/printer/HP-LaserJet_P1006.xml
+foomatic/db/source/printer/HP-LaserJet_P1007.xml
+foomatic/db/source/printer/HP-LaserJet_P1008.xml
+foomatic/db/source/printer/HP-LaserJet_P1505.xml
+foomatic/db/source/printer/HP-LaserJet_P1505n.xml
+foomatic/db/source/printer/HP-LaserJet_P2014.xml
+foomatic/db/source/printer/HP-LaserJet_P2014n.xml
+foomatic/db/source/printer/HP-LaserJet_P2035.xml
+foomatic/db/source/printer/HP-LaserJet_P2035n.xml
+foomatic/db/source/printer/HP-LaserJet_Pro_CP1025nw.xml
+foomatic/db/source/printer/HP-LaserJet_Pro_P1102.xml
+foomatic/db/source/printer/HP-LaserJet_Pro_P1102w.xml
+foomatic/db/source/printer/HP-LaserJet_Pro_P1566.xml
+foomatic/db/source/printer/HP-LaserJet_Pro_P1606dn.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1600W.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1680MF.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_1690MF.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2430_DL.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2480_MF.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2490_MF.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2530_DL.xml
+foomatic/db/source/printer/KONICA_MINOLTA-magicolor_4690MF.xml
+foomatic/db/source/printer/Kyocera-KM-1635.xml
+foomatic/db/source/printer/Kyocera-KM-2035.xml
+foomatic/db/source/printer/Lexmark-C500.xml
+foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml
+foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml
+foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml
+foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml
+foomatic/db/source/printer/Oki-C110.xml
+foomatic/db/source/printer/Oki-C301dn.xml
+foomatic/db/source/printer/Oki-C3100.xml
+foomatic/db/source/printer/Oki-C310dn.xml
+foomatic/db/source/printer/Oki-C3200.xml
+foomatic/db/source/printer/Oki-C3300.xml
+foomatic/db/source/printer/Oki-C3400.xml
+foomatic/db/source/printer/Oki-C3530_MFP.xml
+foomatic/db/source/printer/Oki-C5100.xml
+foomatic/db/source/printer/Oki-C5200.xml
+foomatic/db/source/printer/Oki-C5500.xml
+foomatic/db/source/printer/Oki-C5600.xml
+foomatic/db/source/printer/Oki-C5650.xml
+foomatic/db/source/printer/Oki-C5800.xml
+foomatic/db/source/printer/Oki-C810.xml
+foomatic/db/source/printer/Olivetti-d-Color_P160W.xml
+foomatic/db/source/printer/Samsung-CLP-300.xml
+foomatic/db/source/printer/Samsung-CLP-310.xml
+foomatic/db/source/printer/Samsung-CLP-315.xml
+foomatic/db/source/printer/Samsung-CLP-325.xml
+foomatic/db/source/printer/Samsung-CLP-365.xml
+foomatic/db/source/printer/Samsung-CLP-600.xml
+foomatic/db/source/printer/Samsung-CLP-610.xml
+foomatic/db/source/printer/Samsung-CLP-620.xml
+foomatic/db/source/printer/Samsung-CLX-2160.xml
+foomatic/db/source/printer/Samsung-CLX-3160.xml
+foomatic/db/source/printer/Samsung-CLX-3175.xml
+foomatic/db/source/printer/Samsung-CLX-3185.xml
+foomatic/db/source/printer/Xerox-Phaser_6110.xml
+foomatic/db/source/printer/Xerox-Phaser_6115MFP.xml
+foomatic/db/source/printer/Xerox-Phaser_6121MFP.xml
+foomatic/db/source/printer/Xerox-WorkCentre_6015.xml
+share/cups/model/Dell-1355.ppd.gz
+share/cups/model/Fuji_Xerox-DocuPrint_CM205.ppd.gz
+share/cups/model/Fuji_Xerox-DocuPrint_P205.ppd.gz
+share/cups/model/Generic-OAKT_Printer.ppd.gz
+share/cups/model/Generic-ZjStream_Printer.ppd.gz
+share/cups/model/HP-Color_LaserJet_1500.ppd.gz
+share/cups/model/HP-Color_LaserJet_1600.ppd.gz
+share/cups/model/HP-Color_LaserJet_2600n.ppd.gz
+share/cups/model/HP-Color_LaserJet_CP1215.ppd.gz
+share/cups/model/HP-LaserJet_1000.ppd.gz
+share/cups/model/HP-LaserJet_1005.ppd.gz
+share/cups/model/HP-LaserJet_1018.ppd.gz
+share/cups/model/HP-LaserJet_1020.ppd.gz
+share/cups/model/HP-LaserJet_1022.ppd.gz
+share/cups/model/HP-LaserJet_1022n.ppd.gz
+share/cups/model/HP-LaserJet_1022nw.ppd.gz
+share/cups/model/HP-LaserJet_M1005_MFP.ppd.gz
+share/cups/model/HP-LaserJet_M1120_MFP.ppd.gz
+share/cups/model/HP-LaserJet_M1319_MFP.ppd.gz
+share/cups/model/HP-LaserJet_P1005.ppd.gz
+share/cups/model/HP-LaserJet_P1006.ppd.gz
+share/cups/model/HP-LaserJet_P1007.ppd.gz
+share/cups/model/HP-LaserJet_P1008.ppd.gz
+share/cups/model/HP-LaserJet_P1505.ppd.gz
+share/cups/model/HP-LaserJet_P1505n.ppd.gz
+share/cups/model/HP-LaserJet_P2014.ppd.gz
+share/cups/model/HP-LaserJet_P2014n.ppd.gz
+share/cups/model/HP-LaserJet_P2035.ppd.gz
+share/cups/model/HP-LaserJet_P2035n.ppd.gz
+share/cups/model/HP-LaserJet_Pro_CP1025nw.ppd.gz
+share/cups/model/HP-LaserJet_Pro_P1102.ppd.gz
+share/cups/model/HP-LaserJet_Pro_P1102w.ppd.gz
+share/cups/model/HP-LaserJet_Pro_P1566.ppd.gz
+share/cups/model/HP-LaserJet_Pro_P1606dn.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_1600W.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_1680MF.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_1690MF.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_2430_DL.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_2480_MF.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_2490_MF.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_2530_DL.ppd.gz
+share/cups/model/KONICA_MINOLTA-magicolor_4690MF.ppd.gz
+share/cups/model/Kyocera-KM-1635.ppd.gz
+share/cups/model/Kyocera-KM-2035.ppd.gz
+share/cups/model/Lexmark-C500.ppd.gz
+share/cups/model/Minolta-Color_PageWorks_Pro_L.ppd.gz
+share/cups/model/Minolta-magicolor_2200_DL.ppd.gz
+share/cups/model/Minolta-magicolor_2300_DL.ppd.gz
+share/cups/model/Minolta-magicolor_2430_DL.ppd.gz
+share/cups/model/Oki-C110.ppd.gz
+share/cups/model/Oki-C301dn.ppd.gz
+share/cups/model/Oki-C3100.ppd.gz
+share/cups/model/Oki-C310dn.ppd.gz
+share/cups/model/Oki-C3200.ppd.gz
+share/cups/model/Oki-C3300.ppd.gz
+share/cups/model/Oki-C3400.ppd.gz
+share/cups/model/Oki-C3530_MFP.ppd.gz
+share/cups/model/Oki-C5100.ppd.gz
+share/cups/model/Oki-C5200.ppd.gz
+share/cups/model/Oki-C5500.ppd.gz
+share/cups/model/Oki-C5600.ppd.gz
+share/cups/model/Oki-C5650.ppd.gz
+share/cups/model/Oki-C5800.ppd.gz
+share/cups/model/Oki-C810.ppd.gz
+share/cups/model/Olivetti-d-Color_P160W.ppd.gz
+share/cups/model/Samsung-CLP-300.ppd.gz
+share/cups/model/Samsung-CLP-310.ppd.gz
+share/cups/model/Samsung-CLP-315.ppd.gz
+share/cups/model/Samsung-CLP-325.ppd.gz
+share/cups/model/Samsung-CLP-365.ppd.gz
+share/cups/model/Samsung-CLP-600.ppd.gz
+share/cups/model/Samsung-CLP-610.ppd.gz
+share/cups/model/Samsung-CLP-620.ppd.gz
+share/cups/model/Samsung-CLX-2160.ppd.gz
+share/cups/model/Samsung-CLX-3160.ppd.gz
+share/cups/model/Samsung-CLX-3175.ppd.gz
+share/cups/model/Samsung-CLX-3185.ppd.gz
+share/cups/model/Xerox-Phaser_6110.ppd.gz
+share/cups/model/Xerox-Phaser_6115MFP.ppd.gz
+share/cups/model/Xerox-Phaser_6121MFP.ppd.gz
+share/cups/model/Xerox-WorkCentre_6015.ppd.gz
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/manual.pdf
+share/foo2qpdl/crd/CLP-300-1200x1200cms2
+share/foo2qpdl/crd/CLP-300-1200x600cms2
+share/foo2qpdl/crd/CLP-300-600x600cms2
+share/foo2qpdl/crd/CLP-300cms
+share/foo2qpdl/crd/CLP-600-1200x1200cms2
+share/foo2qpdl/crd/CLP-600-1200x600cms2
+share/foo2qpdl/crd/CLP-600-600x600cms2
+share/foo2qpdl/crd/CLP-600cms
+share/foo2qpdl/crd/black-text.ps
+%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,0-per.crd
+%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,50-per.crd
+%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr100,75-per.crd
+%%DATADIR%%/crd/2300w-1200@150-l250-kx,ucr125,75-per.crd
+%%DATADIR%%/crd/kh.crd
+%%DATADIR%%/crd/kx.crd
+%%DATADIR%%/crd/prolog.ps
+%%DATADIR%%/crd/screen1200.ps
+%%DATADIR%%/crd/screen2400.ps
+%%DATADIR%%/gamma-lookup.ps
+%%DATADIR%%/gamma.ps
 @dirrmtry %%DATADIR%%/crd
-@dirrmtry share/cups/model
-@dirrmtry share/cups
-@unexec rmdir %D/%%DATADIR%% 2>/dev/null || echo "Note: %D/%%DATADIR%%: icm and firmware directories not empty, remove it manually"
-@dirrmtry share/foo2oak/icm
-@unexec rmdir %D/share/foo2oak 2>/dev/null || echo "Note: %D/share/foo2oak: icm directory not empty, remove it manually"
-@dirrmtry share/foo2hp/icm
-@unexec rmdir %D/share/foo2hp 2>/dev/null || echo "Note: %D/share/foo2hp: icm directory not empty, remove it manually"
+@dirrmtry %%DATADIR%%
 @dirrmtry share/foo2xqx
-@dirrmtry share/foo2lava/icm
-@unexec rmdir %D/share/foo2lava 2>/dev/null || echo "Note: %D/share/foo2lava: icm directory not empty, remove it manually"
-@dirrmtry share/foo2hiperc
 @dirrmtry share/foo2qpdl/crd
 @dirrmtry share/foo2qpdl
+@dirrmtry share/foo2oak
+@dirrmtry share/foo2lava
+@dirrmtry share/foo2hp
+@dirrmtry share/foo2hiperc
+@dirrmtry %%PORTDOCS%%%%DOCSDIR%%
+@dirrmtry share/cups/model
+@dirrmtry share/cups
+@dirrmtry foomatic/db/source/printer
+@dirrmtry foomatic/db/source/opt
+@dirrmtry foomatic/db/source
+@dirrmtry foomatic/db
+@dirrmtry foomatic
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Boris Samorodov freebsd_committer 2013-12-26 19:44:09 UTC
Responsible Changed
From-To: acm->bsam

Take
Comment 5 Boris Samorodov freebsd_committer 2013-12-26 19:44:42 UTC
State Changed
From-To: open->closed

Committed, thanks! ;-)